#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using Syncfusion.UI.Xaml.Charts;
using Syncfusion.Windows.SampleLayout;
using System.Collections.ObjectModel;

namespace StackingColumnChart
{
    public partial class MainWindow : SampleLayoutWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class StackingColumnChartViewModel
    {
        public ObservableCollection<Medal> MedalDetails { get; set; }
        public ChartSeriesCollection Series { get; set; }

        public StackingColumnChartViewModel()
        {
            Series = new ChartSeriesCollection();

            MedalDetails = new ObservableCollection<Medal>
            {
                new Medal() {CountryName = "USA", GoldMedals = 39},
                new Medal() {CountryName = "Germany", GoldMedals = 24},
                new Medal() {CountryName = "Britain", GoldMedals = 20},
                new Medal() {CountryName = "France", GoldMedals = 19}
            };

            var series1 = new StackingColumnSeries() // works with ColumnSeries()
            {
                ItemsSource = MedalDetails,
                XBindingPath = "CountryName",
                YBindingPath = "GoldMedals",
                Label = "a1"
            };

            var series2 = new StackingColumnSeries() //ColumnSeries
            {
                ItemsSource = MedalDetails,
                XBindingPath = "CountryName",
                YBindingPath = "GoldMedals",
                Label = "a2"
            };

            Series.Add(series1);
            Series.Add(series2);
        }
    }

    public class Medal
    {
        public string CountryName { get; set; }
        public double GoldMedals { get; set; }
    }
}
